cpw.mods.fml.common

## Class ModClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - java.security.SecureClassLoader
    - - java.net.URLClassLoader
      - - cpw.mods.fml.common.ModClassLoader

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public class ModClassLoader
      extends java.net.URLClassLoader

  A simple delegating class loader used to load mods into the system

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModClassLoader(java.lang.ClassLoader parent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFile(java.io.File modFile)`
    `ModAPITransformer` | `addModAPITransformer(ASMDataTable dataTable)`
    `void` | `clearNegativeCacheFor(java.util.Set<java.lang.String> classList)`
    `java.util.List<java.lang.String>` | `getDefaultLibraries()`
    `java.io.File[]` | `getParentSources()`
    `java.lang.Class<?>` | `loadClass(java.lang.String name)`

    - ### Methods inherited from class java.net.URLClassLoader

      `addURL, close, definePackage, findClass, findResource, findResources, getPermissions, getResourceAsStream, getURLs, newInstance, newInstance`

    - ### Methods inherited from class java.security.SecureClassLoader

      `defineClass, defineClass`

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModClassLoader

          public ModClassLoader(java.lang.ClassLoader parent)

  - ### Method Detail

    - #### addFile

          public void addFile(java.io.File modFile)
                       throws java.net.MalformedURLException

      Throws:
        `java.net.MalformedURLException`

    - #### loadClass

          public java.lang.Class<?> loadClass(java.lang.String name)
                                       throws java.lang.ClassNotFoundException

      Overrides:
        `loadClass` in class `java.lang.ClassLoader`
      Throws:
        `java.lang.ClassNotFoundException`

    - #### getParentSources

          public java.io.File[] getParentSources()

    - #### getDefaultLibraries

          public java.util.List<java.lang.String> getDefaultLibraries()

    - #### clearNegativeCacheFor

          public void clearNegativeCacheFor(java.util.Set<java.lang.String> classList)

    - #### addModAPITransformer

          public ModAPITransformer addModAPITransformer(ASMDataTable dataTable)